http://macie2.{region}.amazonaws.com/jobs/listRetrieves a subset of information about one or more classification jobs.
Pagination limit
Pagination token
The nextToken string that specifies which page of results to return in a paginated response.
The maximum number of items to include in each page of the response.
Specifies criteria for sorting the results of a request for information about classification jobs.
Specifies criteria for filtering the results of a request for information about classification jobs.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://macie2.{region}.amazonaws.com/jobs/list' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://macie2.{region}.amazonaws.com/jobs/listRetrieves a subset of information about one or more classification jobs.
Pagination limit
Pagination token
The nextToken string that specifies which page of results to return in a paginated response.
The maximum number of items to include in each page of the response.
Specifies criteria for sorting the results of a request for information about classification jobs.
Specifies criteria for filtering the results of a request for information about classification jobs.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://macie2.{region}.amazonaws.com/jobs/list' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}